import React from 'react'
import styles from './index.less'
import Viewer from 'viewerjs-react'

const FileView = (props) => {

  const { value, fileType } = props

  if (fileType === '图片') {
    let fileList = value ? value.split(',') : null
    if (!fileList) return null
    return (
      <div className={styles.fileView}>
        <Viewer>
          {
            fileList.map(v => {
              return (
                <img style={{ width: '65px' }} src={`${window.origin}/PandaWorkFlow/WorkFlow/AccountManage/DownloadFiles?filePath=${v}`}></img>
              )
            })
          }
        </Viewer>
      </div>
    )
  }

  return (
    <div className={styles.fileView}>{value}</div>
  )

}

export default FileView